<?php

include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
$session_id= session_id();	

$con_tasa=mysqli_query($con, "select * from tasa where id_tasa='1'");
while ($res_tasa=mysqli_fetch_array($con_tasa))
{
	$id_tasa=$res_tasa['id_tasa'];
	$tasa_actual=$res_tasa['tasa'];
	$ult_act=$res_tasa['fecha'];
}

if (isset($_GET['id']))//codigo elimina un elemento del array
{
	$id_tmp2=intval($_GET['id']);	
	$delete=mysqli_query($con, "DELETE FROM tmp2 WHERE id_tmp2='".$id_tmp2."'");
}
else 
{
	$id=$_POST['id'];
	$cantidad=$_POST['cantidad'];
	$precio_venta=$_POST['precio_venta'];
	
	$num_pro=$_SESSION['num_pro'];

	if (!empty($cantidad))
	{
		$consulta=mysqli_query($con,"SELECT * FROM products WHERE id_producto=$id");
		$dato=mysqli_fetch_array($consulta);
		$exis=$dato['existencia'];
		$nom_pro=$dato['nombre_producto'];
		$codigo_pro=$dato['codigo_producto'];

		if($cantidad>$exis)
		{
			echo "<script>alert('cantidad no disponible')
			history.back(1)</script>";
		}
		else
		{
			$insert_tmp2=mysqli_query($con, "INSERT INTO tmp2 (id_producto,cantidad_tmp2,precio_tmp2,session_id) VALUES ('$id','$cantidad','$precio_venta','$session_id')");
		}
	}	
}

?>
<table class="table" style="font-size:12px;">
	<tr>
		<th class='text-center'>CANT.</th>
		<th class='text-center'>DESCRIPCION</th>
		<th class='text-right'>PRECIO UNI.</th>
		<th class='text-right'>PRECIO TOTAL</th>
		<th></th>
	</tr>
	<?php
  	
	$sumador_total=0;
	$sql=mysqli_query($con, "select * from products, tmp2 where products.id_producto=tmp2.id_producto and tmp2.session_id='".$session_id."'");
	while ($row=mysqli_fetch_array($sql))
	{
		
		
		$id_tmp2=$row["id_tmp2"];
		$codigo_producto=$row['codigo'];
		$cantidad=$row['cantidad_tmp2'];
		$nombre_producto=$row['nombre_producto'];
		$id_producto=$row["id_producto"];
		//$precio_venta=$row['precio_tmp2']/(1+(TAX/100));
		$precio_venta=$row['precio_tmp2'];
		$precio_venta_f=number_format($precio_venta,1);//Formateo variables
		$precio_venta_r=str_replace(",","",$precio_venta_f);//Reemplazo las comas
		$precio_total=$precio_venta_r*$cantidad;
		$precio_total_f=number_format($precio_total,1);//Precio total formateado
		$precio_total_r=str_replace(",","",$precio_total_f);//Reemplazo las comas
		$sumador_total+=$precio_total_r;//Sumador
		
		$dolar_a_bolivar=$precio_venta*$tasa_actual;
		$dolar_a_bolivarf=number_format($dolar_a_bolivar,1,",", ".");
		$dolar_a_bolivartot=$precio_total*$tasa_actual;
		$dolar_a_bolivartotf=number_format($dolar_a_bolivartot,1,",", ".");
		?>
		<input type="hidden" value="<?php echo $codigo_producto;?>" id="codigo_producto<?php echo $id_producto;?>">
		<input type="hidden" value="<?php echo $nombre_producto;?>" id="nombre_producto<?php echo $id_producto;?>">
		<tr>
			<td class='text-center'><?php echo $cantidad;?></td>
			<td class='text-center'><?php echo $nombre_producto;?>
            <td class='text-right'>	<?php echo "$".$precio_venta_f;?> / <?php echo $dolar_a_bolivarf."BsD" ;?></td>
			<td class='text-right'><?php echo "$".$precio_total_f;?> / <?php echo $dolar_a_bolivartotf."BsD";?></td>
			<td class='text-center'><a href="#" onclick="eliminar('<?php echo $id_tmp2 ?>')"><i class="glyphicon glyphicon-trash"></i></a></td>
		</tr>		
		<?php
	}
	$subtotal=number_format($sumador_total,2,'.','');
	
	//$total_iva=($subtotal * TAX )/100;
	//$total_iva=number_format($total_iva,2,'.','');
	//$total_proforma=$subtotal+$total_iva;
	$total_proforma=$subtotal;
	$total_proforma=number_format($total_proforma,1,'.','');
	
	$dolar_a_bolivarsub=$sumador_total*$tasa_actual;
	$dolar_a_bolivarsubf=number_format($dolar_a_bolivarsub,1,",", ".");
        
	//$dolar_a_bolivariva=$total_iva*$tasa_actual;
	//$dolar_a_bolivarivaf=number_format($dolar_a_bolivariva,1,",", ".");
        
	$dolar_a_bolivarfac=$total_proforma*$tasa_actual;
	$dolar_a_bolivarfacf=number_format($dolar_a_bolivarfac,1,",", ".");
         
	?>
	<tr>
		<td class='text-right' colspan=3><strong>SUBTOTAL</strong></td>
		<td class='text-right'><strong><?php echo "$".$subtotal;?> / <?php echo $dolar_a_bolivarsubf."BsD";?></strong></td>
		<td></td>
	</tr>
	<tr>
		<td class='text-right' colspan=3><strong>IVA (<?php //echo TAX?>0)%</strong></td>
		<td class='text-right'><strong>$.0<?php //echo "$".$total_iva;?> / <?php //echo $dolar_a_bolivarivaf."BsD";?>0 BsD</strong></td>
		<td></td>
	</tr>
	<tr>
		<td class='text-right' colspan=3><strong>TOTAL</strong></td>
		<td class='text-right' style="font-size:14px"><strong><?php echo "$".$total_proforma;?> / <?php echo $dolar_a_bolivarfacf."BsD";?></strong></td>
		<td></td>
	</tr>
</table>
